### Function

# GtkSource Completion fuzzy_highlight

#### Declaration [src]

    PangoAttrList*
    gtk_source_completion_fuzzy_highlight (
      const char* haystack,
      const char* casefold_query
    )

#### Description [src]

This will add `<b>` tags around matched characters in `haystack` based on `casefold_query`.

#### Parameters

`haystack`

  Type: `const char*`

  The string to be highlighted.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`casefold_query`

  Type: `const char*`

  The typed-text used to highlight `haystack`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `PangoAttrList`

A `PangoAttrList` or `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.